IM_HISTORY(3)

NAME
im_histlin, im_updatehist, im_history_get - manage image history

SYNOPSIS
#include <vips/vips.h> int im_histlin( IMAGE *im, const char *fmt, ... );
int im_updatehist( IMAGE *out, const char *name, int argc, char *argv[] );
const char *im_history_get( IMAGE *im );

DESCRIPTION
im_histlin(3) formats its arguments as printf(3), appends " # time-and-date", and appends the whole line of text to the image history. The string is typically the command-line action that would be required to do whatever it is that you've just done to the image. im_updatehist(3) is given a standard argc/argv, formats them appropriately, and calls im_histlin(3) for you. Note that the program name is passed separately. im_history_get(3) returns the entire history of an image as a single C string, one action per line. No need to free, but you mustn't modify either.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_cp_desc(3).

COPYRIGHT
Imperial College, London, 2007.